HUGO-GEN-CHROMASTYLES(1)

NAME

hugo-gen-chromastyles - Generate CSS stylesheet for the Chroma code highlighter

SYNOPSIS

hugo gen chromastyles [flags] [args]

DESCRIPTION

Generate CSS stylesheet for the Chroma code highlighter for a given style. This stylesheet is needed if markup.highlight.noClasses is disabled in config.

See https://xyproto.github.io/splash/docs/all.html for a preview of the available styles

OPTIONS

-h, --help[=false]
    help for chromastyles

--highlightStyle="bg:#ffffcc"
    style used for highlighting lines (see https://github.com/alecthomas/chroma)

--linesStyle=""
    style used for line numbers (see https://github.com/alecthomas/chroma)

--style="friendly"
    highlighter style (see https://xyproto.github.io/splash/docs/)

OPTIONS INHERITED FROM PARENT COMMANDS

--clock=""
    set the clock used by Hugo, e.g. --clock 2021-11-06T22:30:00.00+09:00

--config=""
    config file (default is hugo.yaml|json|toml)

--configDir="config"
    config dir

--debug[=false]
    debug output

-d, --destination=""
    filesystem path to write files to

-e, --environment=""
    build environment

--ignoreVendorPaths=""
    ignores any _vendor for module paths matching the given Glob pattern

--logLevel=""
    log level (debug|info|warn|error)

--quiet[=false]
    build in quiet mode

-s, --source=""
    filesystem path to read files relative from

--themesDir=""
    filesystem path to themes directory

-v, --verbose[=false]
    verbose output

SEE ALSO

hugo-gen(1)